通話の一覧取得
GEThttps://{API_ENDPOINT}/v1/Accounts/{AccountSid}/Calls
認証
Authorizationヘッダー (ベアラートークン, 必須) —Bearer <token>形式のベアラー認証です。token にはご自身の認証トークンを指定します。
リクエスト
パスパラメータ
AccountSidstring
クエリパラメータ
directionenum取得する通話の方向- 指定可能な値:
inbound,outbound fromstring取得する発信番号tostring取得する着信番号callStatusenum取得する通話ステータス- 指定可能な値:
trying,ringing,early-media,in-progress,completed,failed,busy,no-answer,queued
レスポンス
200
指定したアカウントの通話一覧
list of Call
エラー
500 Internal Server Error
システムエラー
msgstring
型定義
Call
account_sidstringcall_idstringcall_sidstringcall_statusenum- 指定可能な値:
trying,ringing,alerting,in-progress,completed,busy,no-answer,failed,queued directionenum- 指定可能な値:
inbound,outbound fromstringservice_urlstringsip_statusintegertostringapplication_sidstringcaller_namestringdurationintegeroriginating_sip_trunk_namestringparent_call_sidstring
例
リクエスト
{}
レスポンス
[
{
"account_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"call_id": "call_1234567890abcdef",
"call_sid": "9b2d7f3e-8c4a-4f1a-9d3e-1a2b3c4d5e6f",
"call_status": "in-progress",
"direction": "inbound",
"from": "+815099990009",
"service_url": "https://{API_ENDPOINT}/v1/calls/9b2d7f3e-8c4a-4f1a-9d3e-1a2b3c4d5e6f",
"sip_status": 200,
"to": "+815099990008",
"application_sid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"caller_name": "Miraicom Taro",
"duration": 125,
"originating_sip_trunk_name": "MainSIPTrunk",
"parent_call_sid": "2a4b6c8d-1e3f-4a5b-9c7d-0e1f2a3b4c5d"
}
]
cURL
curl -X GET "https://{API_ENDPOINT}/v1/Accounts/AccountSid/Calls" \
-H "Authorization: Bearer <token>"
Python
import requests
url = "https://{API_ENDPOINT}/v1/Accounts/AccountSid/Calls"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
JavaScript
const url = 'https://{API_ENDPOINT}/v1/Accounts/AccountSid/Calls';
const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>'}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}